COSTO_FONDO = 1.3
COSTO_TAPA = 0.5
COSTO_LADO = 5

RAZON_IDEAL = 2
VOLUMEN_OBJETIVO = 64 * 1000

def testarDisenoAcuario(largo, ancho, altura):
    razon = largo / ancho
    volumen = largo * ancho * altura
    cliente_satisfecho = True

    print('La razón largo-ancho es', razon, end=', ')
    if razon < 0.99 * RAZON_IDEAL:
        print('lo cual es demasiado pequeño')
        cliente_satisfecho = False
    elif razon > 1.01 * RAZON_IDEAL:
        print('lo cual es demasiado grande')
        cliente_satisfecho = False
    elif razon == RAZON_IDEAL:
        print('¡lo cual es perfecto!')
    else:
        print('lo cual es suficientemente cerca')

    print('El volumen es', volumen, end=', ')
    if volumen < 0.99 * VOLUMEN_OBJETIVO:
        print('lo cual es demasiado pequeño')
        cliente_satisfecho = False
    elif volumen > 1.01 * VOLUMEN_OBJETIVO:
        print('lo cual es demasido grande')
        cliente_satisfecho = False
    elif volumen == VOLUMEN_OBJETIVO:
        print('¡lo cual es perfecto!')
    else:
        print('lo cual es suficientemente cerca')

    return cliente_satisfecho

def analizarDisenoAcuario(largo, ancho, altura):
    area_tapa_fondo = largo * ancho
    area_adelante_atras = largo * altura
    area_izquierda_derecha = ancho * altura

    print('Los paneles izquierdo/derecho tienen un área de', area_izquierda_derecha, end=' ')
    print('con un costo de $', 0.01*COSTO_LADO*area_izquierda_derecha)

    print('Los paneles delantero/trasero tienen un área de', area_adelante_atras, end=' ')
    print('con un costo de $', 0.01*COSTO_LADO*area_adelante_atras)

    print('El panel superior tiene un área de', area_tapa_fondo, end=' ')
    print('con un costo de $', 0.01*COSTO_TAPA*area_tapa_fondo)

    print('EL panel del fondo tiene un área de', area_tapa_fondo, end=' ')
    print('con un costo de $', 0.01*COSTO_FONDO*area_tapa_fondo)
    
    if testarDisenoAcuario(largo, ancho, altura) == True:
        print('El diseño cumple los requerimientos del comprador :-)')
    else:
        print('¡El diseño no cumple con los requerimientos del comprador!')

    costo = COSTO_TAPA * area_tapa_fondo + COSTO_FONDO * area_tapa_fondo \
        + 2 * COSTO_LADO * area_adelante_atras + 2 * COSTO_LADO * area_izquierda_derecha

    print('El costo total es de $', 0.01*costo)
    print()

analizarDisenoAcuario(17, 34, 20)
analizarDisenoAcuario(188, 94, 110)
analizarDisenoAcuario(94, 47, 110)
analizarDisenoAcuario(100, 50, 48)
analizarDisenoAcuario(66, 33, 32)
analizarDisenoAcuario(66, 33, 30)
analizarDisenoAcuario(66, 33, 29)
analizarDisenoAcuario(66, 33, 29.5)
