@interact
def graficarOndaSinusoidal(omega=slider(0.5, 5, 0.25, 1, label='omega [rad/seg]'),
                           amplitud=slider(-5, 5, 0.5, 2, label='amplitud [voltios]')):
    f(x) = amplitud * sin(omega * x)

    P = plot(f, -10, 10, ymin=-5, ymax=5, gridlines='minor')
    P.show()

    print('El eje $x$ es el tiempo en segundos')
    print('El eje $y$ está medido en voltios')
