var('t')

@interact
def miGraficadora(r=slider(-4, 2, 0.1, -0.25),
                  j=slider(0, 10, 0.25, 4),
                  c1=slider(-8, 8, 0.5, 5),
                  c2=slider(-8, 8, 0.5, 6)):
    z1 = r + j * sqrt(-1)
    z2 = r - j * sqrt(-1)

    f(t) = c1 * exp(z1 * t) + c2 * exp(z2 * t)
    g(t) = c1 * exp(real_part(z1) * t) + c2 * exp(real_part(z2) * t)

    print(f(t))

    P1 = plot(real_part(f), 0, 10, ymin=-6, ymax=6, gridlines='minor')
    P2 = plot(g, 0, 10, ymin=-6, ymax=6, linestyle='--')
    P3 = plot(-g, 0, 10, ymin=-6, ymax=6, linestyle='--')

    P = P1 + P2 + P3

    show(P)
